Dashboards
Create dashboard
Create a new dashboard. Dashboards are containers for insights arranged in a configurable grid layout.
curl -X POST "https://api.mythic-analytics.com/api/v1/dashboards" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "Marketing Overview",
"description": "Key marketing metrics at a glance.",
"settings": {
"refresh_interval": 300,
"theme": "dark"
}
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/dashboards"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "Marketing Overview",
"description": "Key marketing metrics at a glance.",
"settings": {
"refresh_interval": 300,
"theme": "dark"
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/dashboards", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "Marketing Overview",
"description": "Key marketing metrics at a glance.",
"settings": {
"refresh_interval": 300,
"theme": "dark"
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "Marketing Overview",
"description": "Key marketing metrics at a glance.",
"settings": {
"refresh_interval": 300,
"theme": "dark"
}
}`)
req, err := http.NewRequest("POST", "https://api.mythic-analytics.com/api/v1/dashboards", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/dashboards')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "Marketing Overview",
"description": "Key marketing metrics at a glance.",
"settings": {
"refresh_interval": 300,
"theme": "dark"
}
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "dsh_4mK9pLrT",
"name": "Marketing Overview",
"description": "example_string",
"settings": {},
"created_at": "2024-04-15T10:00:00.000Z",
"updated_at": "2024-06-10T16:45:00.000Z"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
POST
/dashboards
POST
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYContent-Typestring
RequiredThe media type of the request body
Options: application/json
namestring
RequiredDashboard display name.
descriptionstring
Optional description.
settingsobject
Dashboard-level settings (theme, refresh interval, etc.).
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Body
application/json
namestring
RequiredDashboard display name.
descriptionstring
Optional description.
settingsobject
Dashboard-level settings (theme, refresh interval, etc.).
Responses
Was this page helpful?
Built with Documentation.AI
Last updated today